LibreOffice: XListEntrySource Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XListEntrySource Interface Reference

specifies a source of string list entries More...

Inheritance diagram for XListEntrySource:

## Public Member Functions
long | getListEntryCount ()
| retrieves the number of entries in the list
string | getListEntry ([in] long Position) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| provides access to a single list entry
sequence< string > | getAllListEntries ()
| provides access to the entirety of all list entries
void | addListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| adds a listener which will be notified about changes in the list reflected by the component.
void | removeListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given listener from the list of components which will be notified about changes in the entry list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a source of string list entries

The interface supports foreign components which actively retrieve list entries, as well as components which want to passively being notified of changes in the list.

See also
  XListEntrySink

Developers Guide
  Forms - External List Sources

## Member Function Documentation

## ◆ addListEntryListener()

void addListEntryListener | ( | [in] XListEntryListener | Listener | ) |
raises | ( | com::sun::star::lang::NullPointerException
| ) |  |

adds a listener which will be notified about changes in the list reflected by the component.

Exceptions

  com::sun::star::lang::NullPointerException | if the given listener is `NULL`

## ◆ getAllListEntries()

sequence< string > getAllListEntries | ( |  | ) |

provides access to the entirety of all list entries

## ◆ getListEntry()

string getListEntry | ( | [in] long | Position | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

provides access to a single list entry

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the given position does not denote a valid index in the list

See also
  getListEntryCount

## ◆ getListEntryCount()

long getListEntryCount | ( |  | ) |

retrieves the number of entries in the list

## ◆ removeListEntryListener()

void removeListEntryListener | ( | [in] XListEntryListener | Listener | ) |
raises | ( | com::sun::star::lang::NullPointerException
| ) |  |

revokes the given listener from the list of components which will be notified about changes in the entry list.

Exceptions

  com::sun::star::lang::NullPointerException | if the given listener is `NULL`

The documentation for this interface was generated from the following file:

- com/sun/star/form/binding/XListEntrySource.idl